about summary refs log tree commit diff
path: root/tests/build-hook.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/build-hook.sh')
-rw-r--r--tests/build-hook.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/build-hook.sh b/tests/build-hook.sh
new file mode 100644
index 000000000000..bd74e42fe366
--- /dev/null
+++ b/tests/build-hook.sh
@@ -0,0 +1,12 @@
+export NIX_BUILD_HOOK="sh build-hook.hook.sh"
+
+storeExpr=$($TOP/src/nix-instantiate/nix-instantiate build-hook.nix)
+
+echo "store expr is $storeExpr"
+
+outPath=$($TOP/src/nix-store/nix-store -qnfvvvvv "$storeExpr")
+
+echo "output path is $outPath"
+
+text=$(cat "$outPath"/foobar)
+if test "$text" != "BARBAR"; then exit 1; fi